Name:           python-jupyter-events
Version:        0.9.0
Release:        %mkrel 2
Summary:        Jupyter Event System library
License:        BSD-3-Clause
URL:            https://jupyter.org
Source:         %{pypi_source jupyter_events}
BuildArch:      noarch
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
An event system for Jupyter Applications and extensions.

%package -n     python3-jupyter-events
Summary:        %{summary}

%description -n python3-jupyter-events
An event system for Jupyter Applications and extensions.

%prep
%autosetup -p1 -n jupyter_events-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_events

%files -n python3-jupyter-events -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-events


%changelog
* Tue Dec 26 2023 wally <wally> 0.9.0-2.mga10
+ Revision: 2021773
- rebuild for py3.12

* Mon Dec 04 2023 joequant <joequant> 0.9.0-1.mga10
+ Revision: 2012932
- set build requires
- imported package python-jupyter-events


%%autochangelog
